#include <stdio.h>
#include <string.h>

static void
count_letters_and_spaces (char *buf, int *let, int *sp)
{
  char wrd[1000];
  int off;

  *let = 0;
  *sp = -1;

  while (sscanf (buf, "%s%n", wrd, &off) > 0)
    {
      *let += strlen (wrd);
      (*sp)++;
      buf += off;
    }
}

static int
compare_with (FILE *fin, char *buf)
{
  char wrd[1000], rwrd[1000];
  int off;

  while (sscanf (buf, "%s%n", wrd, &off) > 0)
    {
      if (fscanf (fin, "%s", rwrd) != 1)
	return 0;
      if (strcmp (wrd, rwrd))
	return 0;
      buf += off;
    }

  return 1;
}

int main (int argc, char *argv[])
{
  char obuf[1000], buf[1000];
  double ch = 0, mlen, ach = 0;
  int let, sp, fst = 1;
  FILE *fin = fopen (argv[1], "r");

  while (fgets (buf, 1000, stdin))
    {
      if (!*buf || *buf == '\n')
	break;
      if (!compare_with (fin, buf))
	{
	  printf ("Chybny text\n");
	  return 1;
	}

      if (fst)
	fst = 0;
      else
	{
	  count_letters_and_spaces (obuf, &let, &sp);
	  mlen = (60.0 - let) / sp;
	  ach = sp * (mlen - 1) * (mlen - 1);
    	  ch += ach;

	  if (sp < 1 || let + sp > 60)
	    {
	      printf ("Chybne formatovani\n");
	      return 1;
	    }
	  /* printf ("%s (%d spaces, space length %.3f, error %.3f)\n", obuf, sp, mlen, ach); */
	}

      strcpy (obuf, buf);
    }
  count_letters_and_spaces (obuf, &let, &sp);
  if (let + sp > 60)
    {
      printf ("Chybne formatovani\n");
      return 1;
    }

  if (fscanf (fin, "%s", obuf) == 1)
    {
      printf ("Nekompletni text\n");
      return 1;
    }

  /* printf ("%s\n", buf); */
  if (argc >= 3)
    {
      FILE *fexp = fopen (argv[2], "r");
      double opt;
      fscanf (fexp, "%lf", &opt);
      double fpts = (opt + 1) / (ch + 1);
      int pts = (int)(100*fpts + 0.001);
      printf ("Chyba %.3f => %d bodu\n", ch, pts);
      if (argc >= 4)
	{
	  FILE *fp = fopen(argv[3], "w");
	  fprintf(fp, "%d\n", pts);
	  fclose(fp);
	}
    }
  else
    printf ("%.3f total error\n", ch);

  return 0;
}
